From a3e7720d42f68332733698e650a369278084395f Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@rosenzweig.io>
Date: Sun, 3 Oct 2021 09:19:01 -0400
Subject: [PATCH] arm64: dts: apple: j274: Expose PCI node for the Wi-Fi MAC
 address

This allows the bootloader to pass the MAC address through the device
tree, and in turn will allow the Wi-Fi driver to set the MAC address
appropriately. The usual mechanisms of MAC address fetching do not work
on Apple's variant of the Broadcom chip -- we need the information in
the device tree.

m1n1 already supports this if the property exists.

Signed-off-by: Alyssa Rosenzweig <alyssa@rosenzweig.io>
---
 arch/arm64/boot/dts/apple/t8103-j274.dts | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/arch/arm64/boot/dts/apple/t8103-j274.dts b/arch/arm64/boot/dts/apple/t8103-j274.dts
index 86ea1b0a6cc8..1f9e4052e06b 100644
--- a/arch/arm64/boot/dts/apple/t8103-j274.dts
+++ b/arch/arm64/boot/dts/apple/t8103-j274.dts
@@ -19,6 +19,7 @@ aliases {
 		serial0 = &serial0;
 		serial2 = &serial2;
 		ethernet0 = &ethernet0;
+		wifi0 = &wifi0;
 	};
 
 	chosen {
@@ -57,6 +58,11 @@ &serial2 {
  */
 &port00 {
 	bus-range = <1 1>;
+	wifi0: pci@0,0 {
+		reg = <0x10000 0x0 0x0 0x0 0x0>;
+		/* To be filled by the loader */
+		local-mac-address = [00 10 18 00 00 00];
+	};
 };
 
 &port01 {
-- 
2.30.2

